> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Tokenized Charge

> Initiate a card payment using a tokenized customer's card



## OpenAPI

````yaml post /tokenized-charges
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /tokenized-charges:
    post:
      tags:
        - Tokenized Charges
      summary: Create a Tokenized Charge
      description: Initiate a card payment using a tokenized customer's card
      operationId: CreateaTokenizedCharge
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateaTokenizedChargeRequest'
                - example:
                    token: flw-t1nf-c25d14a3a6b5afaf8022fe88212a3eaa-k3n
                    currency: NGN
                    amount: 100
                    email: Johndoe@gmail.com
                    tx_ref: YOUR_UNIQUE_REFERENCE
            example:
              token: flw-t1nf-c25d14a3a6b5afaf8022fe88212a3eaa-k3n
              currency: NGN
              amount: 100
              email: Johndoe@gmail.com
              tx_ref: YOUR_UNIQUE_REFERENCE
        required: true
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '840'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"348-5Ua3C8srJWGnzo4VDdfWlw"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Wed, 11 Mar 2020 19:33:22 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse'
                  - example:
                      status: success
                      message: Charge successful
                      data:
                        id: 1163077
                        tx_ref: akhlm-pstmn-23452
                        flw_ref: FLW-M03K-781621ccfe976c03515bcd07a39f3db8
                        redirect_url: http://127.0.0
                        device_fingerprint: N/A
                        amount: 30300
                        charged_amount: 30300
                        app_fee: 11741.9
                        merchant_fee: 0
                        processor_response: Approved
                        auth_model: noauth
                        currency: NGN
                        ip: pstmn
                        narration: pstmn charge
                        status: successful
                        payment_type: card
                        created_at: '2020-03-11T19:33:20.000Z'
                        account_id: 73362
                        customer:
                          id: 252759
                          phone_number: 0813XXXXXXX
                          name: Kendrick Graham
                          email: user@example.com
                          created_at: '2020-01-15T13:26:24.000Z'
                        card:
                          first_6digits: '553188'
                          last_4digits: '2950'
                          issuer: MASTERCARD  CREDIT
                          country: NG
                          type: MASTERCARD
                          expiry: 09/22
                          token: flw-t0-d0185c6edad078c9e8304c4f78b8cd5b-m03k
              example:
                status: success
                message: Charge successful
                data:
                  id: 1163077
                  tx_ref: akhlm-pstmn-23452
                  flw_ref: FLW-M03K-781621ccfe976c03515bcd07a39f3db8
                  redirect_url: http://127.0.0
                  device_fingerprint: N/A
                  amount: 30300
                  charged_amount: 30300
                  app_fee: 11741.9
                  merchant_fee: 0
                  processor_response: Approved
                  auth_model: noauth
                  currency: NGN
                  ip: pstmn
                  narration: pstmn charge
                  status: successful
                  payment_type: card
                  created_at: '2020-03-11T19:33:20.000Z'
                  account_id: 73362
                  customer:
                    id: 252759
                    phone_number: 0813XXXXXXX
                    name: Kendrick Graham
                    email: user@example.com
                    created_at: '2020-01-15T13:26:24.000Z'
                  card:
                    first_6digits: '553188'
                    last_4digits: '2950'
                    issuer: MASTERCARD  CREDIT
                    country: NG
                    type: MASTERCARD
                    expiry: 09/22
                    token: flw-t0-d0185c6edad078c9e8304c4f78b8cd5b-m03k
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 09:45:27 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '70'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"46-0GFY0QTQRBzquTV1urerCw"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleBadRequestError1'
                  - example:
                      status: error
                      message: Wrong token or email passed
                      data: null
              example:
                status: error
                message: Wrong token or email passed
                data: null
      deprecated: false
components:
  schemas:
    CreateaTokenizedChargeRequest:
      title: CreateaTokenizedChargeRequest
      required:
        - token
        - currency
        - amount
        - email
        - tx_ref
      type: object
      properties:
        token:
          type: string
        currency:
          type: string
        amount:
          type: integer
          format: int32
        email:
          type: string
        tx_ref:
          type: string
      example:
        token: flw-t1nf-c25d14a3a6b5afaf8022fe88212a3eaa-k3n
        currency: NGN
        amount: 100
        email: Johndoe@gmail.com
        tx_ref: YOUR_UNIQUE_REFERENCE
    SampleSuccessResponse:
      title: SampleSuccessResponse
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data13'
      example:
        status: success
        message: Charge successful
        data:
          id: 1163077
          tx_ref: akhlm-pstmn-23452
          flw_ref: FLW-M03K-781621ccfe976c03515bcd07a39f3db8
          redirect_url: http://127.0.0
          device_fingerprint: N/A
          amount: 30300
          charged_amount: 30300
          app_fee: 11741.9
          merchant_fee: 0
          processor_response: Approved
          auth_model: noauth
          currency: NGN
          ip: pstmn
          narration: pstmn charge
          status: successful
          payment_type: card
          created_at: '2020-03-11T19:33:20.000Z'
          account_id: 73362
          customer:
            id: 252759
            phone_number: 0813XXXXXXX
            name: Kendrick Graham
            email: user@example.com
            created_at: '2020-01-15T13:26:24.000Z'
          card:
            first_6digits: '553188'
            last_4digits: '2950'
            issuer: MASTERCARD  CREDIT
            country: NG
            type: MASTERCARD
            expiry: 09/22
            token: flw-t0-d0185c6edad078c9e8304c4f78b8cd5b-m03k
    SampleBadRequestError1:
      title: SampleBadRequestError1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: Wrong token or email passed
        data: null
    Data13:
      title: Data13
      required:
        - id
        - tx_ref
        - flw_ref
        - redirect_url
        - device_fingerprint
        - amount
        - charged_amount
        - app_fee
        - merchant_fee
        - processor_response
        - auth_model
        - currency
        - ip
        - narration
        - status
        - payment_type
        - created_at
        - account_id
        - customer
        - card
      type: object
      properties:
        id:
          type: integer
          format: int32
        tx_ref:
          type: string
        flw_ref:
          type: string
        redirect_url:
          type: string
        device_fingerprint:
          type: string
        amount:
          type: integer
          format: int32
        charged_amount:
          type: integer
          format: int32
        app_fee:
          type: number
        merchant_fee:
          type: integer
          format: int32
        processor_response:
          type: string
        auth_model:
          type: string
        currency:
          type: string
        ip:
          type: string
        narration:
          type: string
        status:
          type: string
        payment_type:
          type: string
        created_at:
          type: string
        account_id:
          type: integer
          format: int32
        customer:
          $ref: '#/components/schemas/Customer1'
        card:
          $ref: '#/components/schemas/Card2'
      example:
        id: 1163077
        tx_ref: akhlm-pstmn-23452
        flw_ref: FLW-M03K-781621ccfe976c03515bcd07a39f3db8
        redirect_url: http://127.0.0
        device_fingerprint: N/A
        amount: 30300
        charged_amount: 30300
        app_fee: 11741.9
        merchant_fee: 0
        processor_response: Approved
        auth_model: noauth
        currency: NGN
        ip: pstmn
        narration: pstmn charge
        status: successful
        payment_type: card
        created_at: '2020-03-11T19:33:20.000Z'
        account_id: 73362
        customer:
          id: 252759
          phone_number: 0813XXXXXXX
          name: Kendrick Graham
          email: user@example.com
          created_at: '2020-01-15T13:26:24.000Z'
        card:
          first_6digits: '553188'
          last_4digits: '2950'
          issuer: MASTERCARD  CREDIT
          country: NG
          type: MASTERCARD
          expiry: 09/22
          token: flw-t0-d0185c6edad078c9e8304c4f78b8cd5b-m03k
    Customer1:
      title: Customer1
      required:
        - id
        - phone_number
        - name
        - email
        - created_at
      type: object
      properties:
        id:
          type: integer
          format: int32
        phone_number:
          type: string
        name:
          type: string
        email:
          type: string
        created_at:
          type: string
      example:
        id: 1975414
        phone_number: '24709929220'
        name: Anonymous customer
        email: JoeBloggs@acme.co
        created_at: '2023-02-10T14:42:21.000Z'
    Card2:
      title: Card2
      required:
        - first_6digits
        - last_4digits
        - issuer
        - country
        - type
        - expiry
        - token
      type: object
      properties:
        first_6digits:
          type: string
        last_4digits:
          type: string
        issuer:
          type: string
        country:
          type: string
        type:
          type: string
        expiry:
          type: string
        token:
          type: string
      example:
        first_6digits: '553188'
        last_4digits: '2950'
        issuer: MASTERCARD  CREDIT
        country: NG
        type: MASTERCARD
        expiry: 09/22
        token: flw-t0-d0185c6edad078c9e8304c4f78b8cd5b-m03k
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````